## CajaColumnProvider

CajaColumnProvider — Interface to provide additional list view columns

## Functions

GList * | caja_column_provider_get_columns ()

## Types and Values

| CajaColumnProvider
struct | CajaColumnProviderIface

## Object Hierarchy

        GInterface
        ╰── CajaColumnProvider

## Prerequisites

CajaColumnProvider requires GObject.

## Includes

    #include <libcaja-extension/caja-column-provider.h>

## Description

CajaColumnProvider allows extension to provide additional columns in the file manager list view.

## Functions

### caja_column_provider_get_columns ()

    GList *
    caja_column_provider_get_columns (CajaColumnProvider *provider);

#### Parameters

provider | a CajaColumnProvider |

#### Returns

the provided CajaColumn objects.

[element-type CajaColumn][transfer full]

## Types and Values

### CajaColumnProvider

    typedef struct _CajaColumnProvider CajaColumnProvider;

### struct CajaColumnProviderIface

    struct CajaColumnProviderIface {
        GTypeInterface g_iface;

        GList *(*get_columns) (CajaColumnProvider *provider);
    };

Interface for extensions to provide additional list view columns.

#### Members

GTypeInterface `g_iface`; | The parent interface. |
`get_columns` () | Returns a GList of CajaColumn. See `caja_column_provider_get_columns()` for details. |